Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceLicenseSpecification

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceLicenseSpecification

    public class InstanceLicenseSpecification

extends Object

Part of a request to launch Amazon EC2 instances, specifying which license pool to use if a license should be attached to the new Amazon EC2 instance.

Constructor Summary
`InstanceLicenseSpecification()`

Method Summary
`String` | `getPool()` The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.
`void` | `setPool(String pool)` The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceLicenseSpecification` | `withPool(String pool)` The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceLicenseSpecification

    public InstanceLicenseSpecification()

Method Detail

### getPool

    public String getPool()

  The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

  Returns:
    The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

### setPool

    public void setPool(String pool)

  The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

  Parameters:
    `pool` - The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

### withPool

    public InstanceLicenseSpecification withPool(String pool)

  The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `pool` - The license pool from which to take a license when starting Amazon EC2 instances in the associated `RunInstances` request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.